#if !defined(KDEMOWINDOW)
#define KDEMOWINDOW

#include <kmainwindow.h>
#include <keditcl.h>
#include <qevent.h>
#include <kconfig.h>
#include <kaction.h>

class KDemoWindow :
public KMainWindow
{
	Q_OBJECT

	public:
	KDemoWindow();
	virtual ~KDemoWindow();

	private slots:
	void openFile();
	void saveAsFile();
	void insertDate();
	void wrap();

	protected:
	bool queryClose();
	void saveProperties(KConfig* conf);
	void readProperties(KConfig* conf);

	private:
	KEdit* edit;
	KToggleAction* wrapAction;
};

#endif
