// Jrn Loviscach 2001-06-25

#include <kapp.h>
#include "kdemowindow.h"
#include <kaboutdata.h>
#include <kcmdlineargs.h>

int main(int argc, char *(argv[]))
{
	KAboutData about("kdefiledemo", "KDE-Datei-Demo", "1.0",
		"Zeigt Dateien etc.", KAboutData::License_GPL,
		"(c) 2001, Jrn Loviscach", "Zeigt, wie man Dateien etc. verwendet",
		"http://www.weblearn.hs-bremen.de/loviscach");
	about.addAuthor("Joern Loviscach", 0, "j.loviscach@computer.org",
		"http://www.weblearn.hs-bremen.de/loviscach");

	KCmdLineArgs::init(argc, argv, &about); // About-Infos auch per Kommandozeile!

	KApplication myApp; // wertet KCmdLineArgs aus

	// falls mit Option --session [Nummer] gestartet, alte Session wiederherstellen,
	// sonst ganz normal Hauptfenster bauen
	if(myApp.isRestored())
	{
		RESTORE(KDemoWindow);
	}
	else
	{
		KDemoWindow *myWindow = new KDemoWindow();
		myWindow->show();
	}

	return myApp.exec();
}

